Generation Framework

## org.eclipse.gmf.codegen.gmfgen
Interface FigureViewmap

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, Viewmap

All Known Implementing Classes:
  FigureViewmapImpl

    public interface FigureViewmap

extends Viewmap

A representation of the model object 'Figure Viewmap'.

The following features are supported:

- `Figure Qualified Class Name`

See Also:
  `GMFGenPackage.getFigureViewmap()`
** Generated **
Model:

Method Summary
`java.lang.String` `getFigureQualifiedClassName()` Returns the value of the 'Figure Qualified Class Name' attribute
`void` `setFigureQualifiedClassName(java.lang.String value)` Sets the value of the '`Figure Qualified Class Name`' attribute

Methods inherited from interface org.eclipse.gmf.codegen.gmfgen.Viewmap
`find, getAttributes, getLayoutType, getRequiredPluginIDs, setLayoutType`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getFigureQualifiedClassName

    java.lang.String getFigureQualifiedClassName()

  Returns the value of the 'Figure Qualified Class Name' attribute. Name of GEF Figure class

  Returns:
    the value of the 'Figure Qualified Class Name' attribute.
  See Also:
    `setFigureQualifiedClassName(String)`, `GMFGenPackage.getFigureViewmap_FigureQualifiedClassName()`
  ** Generated **
  Model:
    required="true"

### setFigureQualifiedClassName

    void setFigureQualifiedClassName(java.lang.String value)

  Sets the value of the '`Figure Qualified Class Name`' attribute.

  Parameters:
    `value` - the new value of the 'Figure Qualified Class Name' attribute.
  See Also:
    `getFigureQualifiedClassName()`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.